#include <iostream>
using namespace std;
int main{
    int x,y;
    cin>>x>>y;
    int newnum=0;
    while(x>0 || y>0)
    {
        if(x==0)
        {
            newnum*=10;
            newnum+=y%10;
        }
        if(y==0)
        {
            newnum*=10;
            newnum+=x%10;
        }
        else{
        if(x%10>y%10)
        {
            newnum*=10;
            newnum+=x%10;
        }
        else if(y%10>x%10)
                {
            newnum*=10;
            newnum+=y%10;
        }
                else{
                    newnum*=10;
                    newnum+=x%10;
                    newnum*=10;
                    newnum+=y%10;}
        }
        x=x/10;
        y=y/10;
    }
    cout<<newnum;
    return 0;
}